commit:     0cb0b3644cf8a87f1a5c512787db1f0fbfba66aa
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 28 18:34:24 2019 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Sun Jul 28 19:37:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cb0b364

app-emulation/spice: update live ebuild

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 app-emulation/spice/spice-9999.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/app-emulation/spice/spice-9999.ebuild 
b/app-emulation/spice/spice-9999.ebuild
index 440aaabd0fe..679a7074732 100644
--- a/app-emulation/spice/spice-9999.ebuild
+++ b/app-emulation/spice/spice-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
 
-inherit autotools eutils git-r3 ltprune python-any-r1 readme.gentoo-r1 
xdg-utils
+inherit autotools eutils git-r3 python-any-r1 readme.gentoo-r1 xdg-utils
 
 DESCRIPTION="SPICE server"
 HOMEPAGE="https://www.spice-space.org/";
@@ -35,7 +35,7 @@ RDEPEND="
        )"
 DEPEND="${RDEPEND}
        ${PYTHON_DEPS}
-       =app-emulation/spice-protocol-9999
+       ~app-emulation/spice-protocol-9999
        virtual/pkgconfig
        $(python_gen_any_dep '
                >=dev-python/pyparsing-1.5.6-r2[${PYTHON_USEDEP}]
@@ -88,7 +88,7 @@ src_compile() {
 
 src_install() {
        default
-       use static-libs || prune_libtool_files
+       use static-libs || find "${D}" -name '*.la' -type f -delete || die
        readme.gentoo_create_doc
 }
 

Reply via email to